require_relative "lib/version"
require 'date'

Gem::Specification.new do |s|
  s.version     = VERSION
  s.name        = File.basename(__FILE__, '.gemspec')
  s.date        = Date.today.strftime('%F')
  s.summary     = SUMMARY
  s.description = "Play a history game"
  s.authors     = ["Michael Uplawski"]
  s.email       = 'michael.uplawski@uplawski.eu'
  s.files  	=  %w~timequiz~.collect{|f| 'bin/' << f} + %w~log.conf version.rb file_checking.rb logging.rb adder.rb argparser.rb busy_indicator.rb color_output.rb console.rb constants.rb event.rb events.rb extstring.rb user_input.rb timequiz.rb~.collect{|f| 'lib/' << f} + %w~timequiz.gemspec~.collect{|f|f} + %w~man/timequiz.6.gz html/timequiz.html pdf/timequiz.pdf rst/timequiz.rst license.txt~.collect{|f| 'doc/' << f}
  s.homepage    = ''
  #s.requirements = ''
  #s.add_runtime_dependency ''
  s.executables = 'timequiz'
  s.license     = 'GPL-3.0'
  s.required_ruby_version = '>= 2.7'
end
